org.apache.flume.tools

## Class HTTPServerConstraintUtil

- java.lang.Object
- - org.apache.flume.tools.HTTPServerConstraintUtil

-     public class HTTPServerConstraintUtil
      extends Object

  Utility class to impose constraints on Jetty HTTP servers

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `enforceConstraints(org.mortbay.jetty.servlet.Context ctx)` Impose constraints on the Context passed in.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### enforceConstraints

          public static void enforceConstraints(org.mortbay.jetty.servlet.Context ctx)

      Impose constraints on the Context passed in.
      Parameters:
        `ctx` - - Context to impose constraints on.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.